# Yahoo! UI Library

### Charts Widget 2.6.0

Yahoo! UI Library > charts > YAHOO.widget.Axis

Show Private Show Protected Show Deprecated

## Class YAHOO.widget.Axis

Defines a CartesianChart's vertical or horizontal axis.

### Constructor

YAHOO.widget.Axis `( )`

### Properties

#### labelFunction `- String`

A string reference to the globally-accessible function that may be called to determine each of the label values for this axis. Also accepts function references.

#### reverse `- Boolean`

If true, the items on the axis will be drawn in opposite direction.

#### type `- String`

The type of axis.

Copyright © 2008 Yahoo! Inc. All rights reserved.